petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatSTRUMPACKSetColPerm

Set whether STRUMPACK should try to permute the columns of the matrix in order to get a nonzero diagonal Logically Collective on Mat

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetColPerm(Mat F,PetscBool cperm)

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-STRUMPACK interface
| cperm | - whether or not to permute (internally) the columns of the matrix

### Options Database

-mat_strumpack_colperm <cperm> -

### References

STRUMPACK manual -

### See Also

MatGetFactor()

### Level

beginner

### Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html

### Implementations

MatSTRUMPACKSetColPerm_STRUMPACK in src/mat/impls/aij/mpi/strumpack/strumpack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages